﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Service.Sub.Topic.Model
{
    public class TopicHmPregnancyHeartRate
    {
        [JsonProperty("ts")]
        public long Ts { get; set; } = default!;
        [JsonProperty("pregnancy_heart_rate_id")]
        public string PregnancyHeartRateId { get; set; } = default!;

        [JsonProperty("message_id")]
        public string MessageId { get; set; } = default!;

        [JsonProperty("person_id")]
        public string PersonId { get; set; } = default!;

        [JsonProperty("serialno")]
        public string Serialno { get; set; } = default!;

        [JsonProperty("pregnancy_heart_rate")]
        public int PregnancyHeartRate { get; set; }

        [JsonProperty("last_update")]
        public long LastUpdate { get; set; }

        [JsonProperty("create_time")]
        public long CreateTime { get; set; }

        [JsonProperty("method")]
        public int Method { get; set; }

        [JsonProperty("is_display")]
        public bool IsDisplay { get; set; }

        [JsonProperty("device_key")]
        public string DeviceKey { get; set; } = default!;
    }
}
