﻿using Microsoft.Extensions.Logging;
using HealthMonitor.Core.DbLog;

namespace HealthMonitor.WebApi.DbLog
{
	public class EfCoreLogProvider : IEfCoreLoggerProvider
	{
		public static LogLevel LogThisAndAbout { get; set; } = LogLevel.Information;

		public ILogger CreateLogger(string categoryName)
		{
			return new EfCoreLogger(categoryName);
		}

		public void Dispose() { }
	}
}
